[![Pub Version](https://img.shields.io/pub/v/elevarm_ui?color=blueviolet)](https://pub.dev/packages/elevarm_ui)

Elevarm design system for Flutter.

## Features

- `ElevarmColors` for standardized coloring.
- `ElevarmFonts`, `ElevarmFontWeights`, `ElevarmFontSizes` for standardized typography (in development).

## Getting started

## Color

```dart
import 'package:elevarm_ui/elevarm_ui.dart';

const primary = ElevarmColors.primary;
```

## Font

```dart
import 'package:elevarm_ui/elevarm_ui.dart';

const poppins = ElevarmFonts.poppins();
const fontWeightBold = ElevarmFontWeights.bold;
const fontSizeLg = ElevarmFontSizes.lg;
```

## ThemeData

1. `ElevarmThemeData.light()`

## Components

1. `ElevarmLinearProgressIndicator`

```dart
import 'package:elevarm_ui/elevarm_ui.dart';

const ElevarmLinearProgressIndicator(
    value: 0.5,
),
```

2. `ElevarmBadge`

```dart
import 'package:elevarm_ui/elevarm_ui.dart';

const ElevarmBadge(
    title: 'Mitra',
    variant: ElevarmBadgeVariant.success,
)
```

## Additional information

Contact here: majid@elevarm.com